package com.gatosol.test;

import com.vaadin.Application;
import com.vaadin.terminal.Sizeable;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;
import com.vaadin.ui.Label;
import com.vaadin.ui.Window;

/**
 * TestVaadin is sample for testing multiple browser tabs.
 * 
 * <p>This version doesn't have any modifications. You will get out-of-sync 
 * errors if you use this with multiple browser tabs.</p>
 * 
 * <p>
 * For testing use URL: http://localhost:8080/TestVaadin1?debug
 * </p>
 */
public class TestVaadin extends Application implements ClickListener {
  private static final long serialVersionUID = 0;

  public void init() {
    Window window = new Window("Test Vaadin 1");
    window.setName("Main Window");
    window.addComponent(new Label("<h3>http://localhost:8080/TestVaadin1?debug</h3>", Label.CONTENT_XHTML));
    window.addComponent(new Button("test", this));
    addWindow(window);
  }

  public void buttonClick(ClickEvent aEvent) {
    Window window = new Window("test1");
    window.setWidth(600, Sizeable.UNITS_PIXELS);
    window.setHeight(100, Sizeable.UNITS_PIXELS);
    window.addComponent(new Label("You will get out-of-sync errors if you this url with uses multiple tabs"));
    getMainWindow().addWindow(window);
  }
}
