package com.gatosol.test;

import com.vaadin.Application;
import com.vaadin.terminal.ExternalResource;
import com.vaadin.terminal.Sizeable;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;
import com.vaadin.ui.Label;
import com.vaadin.ui.Window;

/**
 * TestVaadin is sample for testing multiple browser tabs.
 * 
 * <p>This version is modified how IT Mill says you could use multiple tabs.</p>
 * 
 * <p>
 * For testing use URL: http://localhost:8080/TestVaadin2?debug
 * </p>
 */
public class TestVaadin extends Application implements ClickListener {
  private static final long serialVersionUID = 0;

  public void init() {
    Window window = createWindow();
    window.setName("Main Window");
    addWindow(window);
  }

  private Window createWindow() {
    Window window = new Window("Test Vaadin 2");
    window.addComponent(new Label("<h3>http://localhost:8080/TestVaadin2?debug</h3>", Label.CONTENT_XHTML));
    window.addComponent(new Button("test", this));
    return window;
  }

  public void buttonClick(ClickEvent aEvent) {
    Window window = new Window("test2");
    window.setWidth(600, Sizeable.UNITS_PIXELS);
    window.setHeight(100, Sizeable.UNITS_PIXELS);
    window.addComponent(new Label("You won't normally get out-of-sync errors, but new "+
        "windows appear on first tab because we getMainWindow().addWindow() doesn't work as expected. " +
        "Also if you restart Vaadin app on first tab, all other tabs gives out-of-sync errors."));
    getMainWindow().addWindow(window);
  }

  public Window getWindow(String aName) {
    Window window = super.getWindow(aName);
    if (window == null) {
      window = createWindow();
      window.setName(aName);
      addWindow(window);
      window.open(new ExternalResource(window.getURL()));
    }
    return window;
  }
}
