package com.gatosol.test;

import com.vaadin.Application;
import com.vaadin.terminal.Sizeable;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;
import com.vaadin.ui.Label;
import com.vaadin.ui.Window;

/**
 * TestVaadin is sample for testing multiple browser tabs.
 * 
 * <p>This version tweaks Vaadin to different urls for each browser tab session tabs.
 * You won't get out-of-sync errors unless you purposely use same url
 * on more than one browser tab.</p>
 * <p>
 * For testing use URL: http://localhost:8080/TestVaadin3?debug
 * </p>
 */
public class TestVaadin extends Application implements ClickListener {
  private static final long serialVersionUID = 0;

  public void init() {
    Window window = new Window("Test Vaadin 3");
    window.addComponent(new Label("<h3>http://localhost:8080/TestVaadin3?debug</h3>", Label.CONTENT_XHTML));
    window.addComponent(new Button("test", this));
    addWindow(window);
  }

  public void buttonClick(ClickEvent aEvent) {
    Window window = new Window("test3");
    window.setWidth(600, Sizeable.UNITS_PIXELS);
    window.setHeight(100, Sizeable.UNITS_PIXELS);
    window.addComponent(new Label("You won't see out-of-sync errors with multiple "+
        "tabs <b>unless you use same session url with multiple tabs</b>. You can also restart any tab session " +
        "without out-of-sync errors.", Label.CONTENT_XHTML));
    getMainWindow().addWindow(window);
  }
}
